Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class VectorSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.VectorSerializer

All Implemented Interfaces:
  Serializable, Serializer, javax.xml.rpc.encoding.Serializer

public class VectorSerializer
extends Object
implements Serializer

A `VectorSerializer` is be used to serialize and deserialize Vectors using the `SOAP-ENC` encoding style.

Author:
  Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`VectorSerializer()`

Method Summary
`String` | `getMechanismType()`
`boolean` | `isRecursive(IdentityHashMap map, Vector vector)`
`void` | `serialize(javax.xml.namespace.QName name, Attributes attributes, Object value, SerializationContext context)` Serialize a Vector Walk the collection of keys, serializing each key/value pair inside an element.
`Element` | `writeSchema(Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorSerializer

    public VectorSerializer()

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          Attributes attributes,
                          Object value,
                          SerializationContext context)
                   throws IOException

  Serialize a Vector

  Walk the collection of keys, serializing each key/value pair inside an element.

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - the desired QName for the element
    `attributes` - the desired attributes for the element
    `value` - the Object to serialize
    `context` - the SerializationContext in which to do all this
  Throws:
    `IOException`

### isRecursive

    public boolean isRecursive(IdentityHashMap map,
                               Vector vector)

### getMechanismType

    public String getMechanismType()

  Specified by:
    `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`

### writeSchema

    public Element writeSchema(Class javaType,
                               Types types)
                        throws Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `Exception`
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.